Page MenuHomePhabricator

Image link should link to Commons and not local file
Closed, ResolvedPublic

Description

Since T46727 has been deployed, thumbnails of pictures are now displayed in the Wikidata UI. Example
Currently the behaviour is the following:

Is it possible to make the link direct to Commons instead?

Event Timeline

Lea_Lacroix_WMDE triaged this task as Normal priority.

For me the image is a link to https://commons.wikimedia.org/wiki/File:Douglas_adams_portrait_cropped.jpg and the link goes to the local page. No mediaviewer. Linking directly to Commons is something that most Wikipedia's have been doing for years to eliminate the extra local step.

hoo added a comment.Apr 24 2018, 9:57 AM

The Wikipedias that do this (for example nlwiki) use JavaScript for this… that is something we could easily do on Wikidata as well… but I'll see whether we can get a nicer/ more general solution in Wikibase.

Change 428663 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] CommonsMediaImageGallery: Link images to commons

https://gerrit.wikimedia.org/r/428663

Change 428670 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/core@master] TraditionalImageGallery factor getCaptionHtml into own function

https://gerrit.wikimedia.org/r/428670

Change 428687 had a related patch set uploaded (by Hoo man; owner: Hoo man):
[mediawiki/extensions/Wikibase@master] CommonsMediaImageGallery: Link image captions to commons

https://gerrit.wikimedia.org/r/428687

Change 428670 merged by jenkins-bot:
[mediawiki/core@master] TraditionalImageGallery factor getCaptionHtml into own function

https://gerrit.wikimedia.org/r/428670

Change 428663 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] CommonsMediaImageGallery: Link images to commons

https://gerrit.wikimedia.org/r/428663

Change 428687 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] CommonsMediaImageGallery: Link image captions to commons

https://gerrit.wikimedia.org/r/428687

Lydia_Pintscher closed this task as Resolved.May 2 2018, 8:42 AM

@Multichill It should be fixed now. What's the behaviour on your side?

hoo added a comment.May 3 2018, 9:13 AM

@Multichill It should be fixed now. What's the behaviour on your side?

Please note that this is not live on Wikidata yet, as the train was skipped yesterday. It might get deployed today, but I don't know.

After it is deployed, relevant pages will need to be purged (or edited).